# eric6.Plugins.VcsPlugins.vcsMercurial.CloseheadExtension.closehead

Module implementing the closehead extension interface.

### Global Attributes

None

### Classes

Closehead | Class implementing the strip extension interface.

### Functions

None

## Closehead

Class implementing the strip extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Closehead | Constructor
hgCloseheads | Public method to close arbitrary heads.

### Static Methods

None

#### Closehead (Constructor)

Closehead(vcs)

Constructor

vcs (Hg)
  reference to the Mercurial vcs object

#### Closehead.hgCloseheads

hgCloseheads(name, revisions=None)

Public method to close arbitrary heads.

name (str)
  file/directory name
revisions (str)
  revisions of branch heads to be closed

Up